Re: [OMPI users] Open MPI installation problem

2019-01-25 Thread Gilles Gouaillardet
ist.or.jp > Date: Friday, Jan 25, 2019, 8:42 AM > To: Open MPI Users > Subject: Re: [OMPI users] Open MPI installation problem > > Serdar, > > > > you need to export PATH and LD_LIBRARY_PATH in your .bashrc > > > > (e.g. export PATH=$HOME/openmpi/bin:$PATH) >

Re: [OMPI users] Open MPI installation problem

2019-01-25 Thread Shrader, David Lee via users
libraries are not in the base install directory, but in a lib directory inside the installation directory. Thanks, David From: gil...@rist.or.jp mailto:gil...@rist.or.jp>> Date: Friday, Jan 25, 2019, 8:42 AM To: Open MPI Users mailto:users@lists.open-mpi.org>> Subject: Re: [OMPI use

Re: [OMPI users] Open MPI installation problem

2019-01-25 Thread gilles
Serdar, you need to export PATH and LD_LIBRARY_PATH in your .bashrc (e.g. export PATH=$HOME/openmpi/bin:$PATH) Also, make sure you built your application with Open MPI installed in $ HOME/openmpi Cheers, Gilles - Original Message - Hi folks, After installing OpenMPI,

Re: [OMPI users] Open MPI installation problem

2019-01-25 Thread Serdar Hiçdurmaz
Hi folks, After installing OpenMPI, I executed these lines echo 'PATH=$HOME/openmpi/bin:$PATH' >> ~/.bashrc echo 'LD_LIBRARY_PATH=$HOME/openmpi/' >> ~/.bashrc source. bashrc and run a simple file by using mpirun np 1 helloworld The error message is helloworld: error while loading shared

Re: [OMPI users] Open MPI installation problem

2019-01-23 Thread Serdar Hiçdurmaz
Thanks Ralph. It worked. Serdar Ralph H Castain , 23 Oca 2019 Çar, 15:48 tarihinde şunu yazdı: > Your PATH and LD_LIBRARY_PATH setting is incorrect. You installed OMPI > into $HOME/openmpi, so you should have done: > > PATH=$HOME/openmpi/bin:$PATH >

Re: [OMPI users] Open MPI installation problem

2019-01-23 Thread John Hearns via users
Sorry if I am being stupid, Serdar might also have to set the location for the includes by setting MPI_INC On Wed, 23 Jan 2019 at 14:47, Ralph H Castain wrote: > Your PATH and LD_LIBRARY_PATH setting is incorrect. You installed OMPI > into $HOME/openmpi, so you should have done: > >

Re: [OMPI users] Open MPI installation problem

2019-01-23 Thread Ralph H Castain
Your PATH and LD_LIBRARY_PATH setting is incorrect. You installed OMPI into $HOME/openmpi, so you should have done: PATH=$HOME/openmpi/bin:$PATH LD_LIBRARY_PATH=$HOME/openmpi/lib:$LD_LIBRARY_PATH Ralph > On Jan 23, 2019, at 6:36 AM, Serdar Hiçdurmaz > wrote: > > Hi All, > > I try to

[OMPI users] Open MPI installation problem

2019-01-23 Thread Serdar Hiçdurmaz
Hi All, I try to install Open MPI, which is prerequiste for liggghts (DEM software). Some info about my current linux version : NAME="SLED" VERSION="12-SP3" VERSION_ID="12.3" PRETTY_NAME="SUSE Linux Enterprise Desktop 12 SP3" ID="sled" I installed Open MPI 1.6 by typing ./configure